# DropTableQuery Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Inheritance diagram for DropTableQuery:
[legend]

List of all members.

## Public Member Functions

| getId ()
| __construct ($name, $cascade=false)
| toDialectString (Dialect $dialect)

## Private Attributes

| $name = null
| $cascade = false

## Detailed Description

Definition at line 16 of file DropTableQuery.class.php.

## Constructor & Destructor Documentation

DropTableQuery::__construct | ( | $ | name,
|  | $ | cascade = `false` |
| ) |  |  |

Definition at line 27 of file DropTableQuery.class.php.

References $cascade, and $name.

## Member Function Documentation

DropTableQuery::getId | ( |  | ) |

Reimplemented from QueryIdentification.

Definition at line 22 of file DropTableQuery.class.php.

DropTableQuery::toDialectString | ( | Dialect $ | dialect | ) |

Definition at line 33 of file DropTableQuery.class.php.

## Member Data Documentation

DropTableQuery::$cascade = false`[private]`

Definition at line 20 of file DropTableQuery.class.php.

Referenced by __construct().

DropTableQuery::$name = null`[private]`

Definition at line 18 of file DropTableQuery.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- core/OSQL/DropTableQuery.class.php